Subject: bug#2343 closed by Chong Yidong <[email-masked]> (Re: bug#2343: Color highlighting leaves a trail of cursors on the screen)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 19 Feb 2009 14:05:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2343: Color highlighting leaves a trail of cursors on the screen

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2343: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2343
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2343: Color highlighting leaves a trail of cursors on the screen
From: Chong Yidong <[email-masked]>
To: Sven Joachim <[email-masked]>
Cc: [email-masked], [email-masked], Kim Rose Carlsen <[email-masked]>
Date: Thu, 19 Feb 2009 08:59:57 -0500

Sven Joachim <[email-masked]> writes:

>> I'm pretty baffled by this one.  I can reproduce it using
>> gnome-terminal, and a slightly different version of the bug seems to
>> show up in Emacs 22 too.  Anyone have any idea?
>
> Probably that's http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=457483
> aka http://bugzilla.gnome.org/show_bug.cgi?id=514632.

Thanks.  Looks like the Gnome-terminal maintainer has fixed this in SVN.

Subject: Color highlighting leaves a trail of cursors on the screen
From: Kim Rose Carlsen <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Mon, 16 Feb 2009 13:28:37 +0100

Hi

When using emacs in -nw mode, the cursor seems to hang quite often leaving back a cursor block. 
The block is redrawn correctly if the window is resized or refreshed. I have attached a few low-res screenshots of the behaviour.

How to reproduce:
In a terminal 
1) start emacs (emacs -nw)
2) switch to scratch buffer 
2) Change to c mode (M-x c-mode)
3) type 'if (aa == 1)'

You should now see (a green) cursor block between 'aa' and '==' like the screenshot.

Tested on:
Freebsd, Debian, Gentoo, Ubuntu

Tested with terminal:
Gnome-terminal (term=xterm || term=linux)
xfce-terminal  (term=xterm || term=linux)
rox-terminal   (term=xterm || term=linux)

Cannot reproduce with 
linux console (term=linux || term=xterm)
xterm (term=xterm || term=linux)

There are many places where this bug could be, and im not too sure if its the terminal, the major mode or emacs that causes it.

Best Regards
Kim Carlsen